<template>
  <q-page class="text-center">
    <div>
      <q-avatar
        class="q-ma-md"
        size="100px"
        font-size="52px"
        color="teal"
        text-color="white"
        icon="person"
      />
    </div>
    <div class="row justify-center q-ma-sm">
      <q-field rounded outlined label="User" stack-label>
        <template v-slot:control>
          <div class="self-center full-width no-outline" tabindex="0">
            {{ username }}
          </div>
        </template>
      </q-field>
    </div>
    <div class="row justify-center q-ma-sm">
      <q-field
        v-model="department"
        rounded
        outlined
        label="Department"
        stack-label
      >
        <template v-slot:control>
          <div class="self-center full-width no-outline" tabindex="0">
            {{ department }}
          </div>
        </template>
      </q-field>
    </div>
    <div class="row justify-center q-ma-sm">
      <q-field rounded outlined label="Position" stack-label>
        <template v-slot:control>
          <div class="self-center full-width no-outline" tabindex="0">
            {{ position }}
          </div>
        </template>
      </q-field>
    </div>
    <div class="row justify-center q-ma-sm">
      <q-field rounded outlined label="Hire date" stack-label>
        <template v-slot:control>
          <div class="self-center full-width no-outline" tabindex="0">
            {{ hireDate }}
          </div>
        </template>
      </q-field>
    </div>
  </q-page>
</template>

<style lang="scss" scoped>
.q-field {
  width: 25%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  outline-color: 5px solid #000;
}
.userData {
  align-content: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
}
</style>

<script>
import { mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters("user", ["username", "department", "position", "hireDate"])
  }
};
</script>
